clear
close all

dim=128; fx=1/(dim*1)*(-dim/2:dim/2-1); fy=fx;

% 1er exemple
P20=zeros(dim,dim); a=20; b=20;
P20(dim/2-a/2+1:dim/2+a/2, dim/2-b/2+1:dim/2+b/2)=1.0;
Pchapmod20=abs(fftshift(fft2(P20)));

% 2me exemple
P40=zeros(dim,dim); a=40; b=40;
P40(dim/2-a/2+1:dim/2+a/2, dim/2-b/2+1:dim/2+b/2)=1.0;
Pchapmod40=abs(fftshift(fft2(P40)));

% 3me exemple
P10=zeros(dim,dim); a=10; b=10;
P10(dim/2-a/2+1:dim/2+a/2, dim/2-b/2+1:dim/2+b/2)=1.0;
Pchapmod10=abs(fftshift(fft2(P10)));

% figure finale

figure, colormap('gray')

subplot(2,3,1), imagesc(P20), colorbar, axis('square')
title('Porte(x/20,y/20)'), xlabel('x'), ylabel('y')

subplot(2,3,2), imagesc(P40), colorbar, axis('square')
title('Porte(x/40,y/40)'), xlabel('x'), ylabel('y')

subplot(2,3,3), imagesc(P10), colorbar, axis('square')
title('Porte(x/10,y/10)'), xlabel('x'), ylabel('y')

subplot(2,3,4), imagesc(fx,fy,Pchapmod20.^.5), colorbar, axis('square')
title('|FFT(Porte_{20})|(f_x,f_y)'), xlabel('f_x'), ylabel('f_y')

subplot(2,3,5), imagesc(fx,fy,Pchapmod40.^.5), colorbar, axis('square')
title('|FFT(Porte_{40})|(f_x,f_y)'), xlabel('f_x'), ylabel('f_y')

subplot(2,3,6), imagesc(fx,fy,Pchapmod10.^.5), colorbar, axis('square')
title('|FFT(Porte_{10})|(f_x,f_y)'), xlabel('f_x'), ylabel('f_y')