clear
close all

dim=128; fx=1/(dim*1)*(-dim/2:dim/2-1); fy=fx;

% 1er exemple
a=8;
G8=fspecial('gaussian',dim,a);
Gchapmod8=abs(fftshift(fft2(G8)));

% 2me exemple
a=32;
G32=fspecial('gaussian',dim,a);
Gchapmod32=abs(fftshift(fft2(G32)));

% 3me exemple
a=2;
G2=fspecial('gaussian',dim,a);
Gchapmod2=abs(fftshift(fft2(G2)));

figure, colormap('gray')

subplot(2,3,1), imagesc(G8) , colorbar, axis('square')
title('Gauss(sigma=8)'), xlabel('x'), ylabel('y')

subplot(2,3,2), imagesc(G32), colorbar, axis('square')
title('Gauss(sigma=32)'), xlabel('x'), ylabel('y')

subplot(2,3,3), imagesc(G2) , colorbar, axis('square')
title('Gauss(sigma=2)'), xlabel('x'), ylabel('y')

subplot(2,3,4), imagesc(fx,fy,Gchapmod8) , colorbar, axis('square')
title('|FFT(Gauss_{8})|(f_x,f_y)'), xlabel('f_x'), ylabel('f_y')

subplot(2,3,5), imagesc(fx,fy,Gchapmod32), colorbar, axis('square')
title('|FFT(Gauss_{32})|(f_x,f_y)'), xlabel('f_x'), ylabel('f_y')

subplot(2,3,6), imagesc(fx,fy,Gchapmod2) , colorbar, axis('square')
title('|FFT(Gauss_{2})|(f_x,f_y)'), xlabel('f_x'), ylabel('f_y')
