clear
close all

dim=128; I=zeros(dim,dim); I(:,1:dim/2)=0.6;
fx=((0:dim-1)-dim/2)/dim; fy=fx;

figure, colormap('gray')
subplot(3,3,1), imagesc(I), colorbar, axis('square')
title('image'), xlabel('x'), ylabel('y')
subplot(3,3,2), plot(I(64,:),'.'), title('coupe(image)'), axis('square')
xlim([2,dim-2]), ylim([-.1 .7]), xlabel('x')

Ichap=fft2(I);
Ichapmod=abs(fftshift(Ichap));
subplot(3,3,3), imagesc(fx,fy,Ichapmod.^.5), colorbar, axis('square')
title('|TF(img)|'), xlabel('f_x'), ylabel('f_y')

nn=6;
h=fspecial('average',nn);
hh=zeros(dim,dim);
hh(dim/2-nn/2+1:dim/2+nn/2,dim/2-nn/2+1:dim/2+nn/2)=h;
subplot(3,3,4), imagesc(hh), colorbar, axis('square')
title('Moy.'), xlabel('x'), ylabel('y')

hchap=fft2(hh);
hchapmod=abs(fftshift(hchap));
subplot(3,3,6), imagesc(fx,fy,hchapmod), colorbar, axis('square')
title('|TF(Moy.)|'), xlabel('f_x'), ylabel('f_y')

Ichapfilt=hchap.*Ichap;
Ichapfiltmod=abs(fftshift(Ichapfilt));
subplot(3,3,9), imagesc(fx,fy,Ichapfiltmod.^.5), colorbar, axis('square')
title('|TF(img filt.)|'), xlabel('f_x'), ylabel('f_y')

Ifilt=ifft2(Ichapfilt);
subplot(3,3,7), imagesc(Ifilt), colorbar, axis('square')
title('coupe(img filt.)'), xlabel('x'), ylabel('y')
subplot(3,3,8), plot(real(Ifilt(64,:)),'.'), axis('square')
title('coupe(img filt.)'), xlim([2,dim-2]), ylim([-.1 .7])
xlabel('x')