clear
close all

dim=128; I=zeros(dim,dim); I(:,1:dim/2)=0.6;

figure, colormap('gray')
subplot(3,3,1), imagesc(I), title('img'), colorbar, axis('square')
subplot(3,3,2), plot(I(64,:),'.'), title('coupe(img)'), axis('square')
xlim([1,dim]), ylim([-.1 .7])

Ichap=fft2(I);
Ichapmod=abs(fftshift(Ichap));
subplot(3,3,3), imagesc(Ichapmod.^0.5), colorbar,
title('|TF(img)|'), axis('square')

h=fspecial('gaussian',dim,.849);
subplot(3,3,4), imagesc(h), colorbar, title('Gauss'), axis('square')

hchap=fft2(h);
hchapmod=abs(fftshift(hchap));
subplot(3,3,6), imagesc(hchapmod), colorbar,
title('|TF(Gauss)|'), axis('square')

Ichapfilt=hchap.*Ichap;
Ichapfiltmod=abs(fftshift(Ichapfilt));
subplot(3,3,9), imagesc(Ichapfiltmod.^0.5), colorbar,
title('|TF(img filt.)|'), axis('square')

Ifilt=ifftshift(ifft2(Ichapfilt));
subplot(3,3,7), imagesc(real(Ifilt)), colorbar, title('coupe(img filt.)')
axis('square')
subplot(3,3,8), plot(real(Ifilt(64,:)),'.'), title('coupe(img filt.)')
axis('square'), xlim([1,dim]), ylim([-.1 .7])