%%% (0) PRELIMINAIRES

%%% prliminaires
clear
close all

%%% prparation image
img=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/bird.jpg');
img=rgb2gray(img); img=double(img)/255.;
dim=size(img); dimx=dim(1); dimy=dim(2);
fx=((0:dimx-1)-dimx/2)/dimx;
fy=((0:dimy-1)-dimy/2)/dimy;

%%% FFT(image) - pour comparaison
img_chap = fft2(img);
img_chapmod=abs(fftshift(img_chap));

%%% figure
figure, colormap('gray')

subplot(3,2,1)
imagesc(img), colorbar, axis('square')
title('original img'), xlabel('x'), ylabel('y')

subplot(3,2,2)
imagesc(img_chapmod.^.1), colorbar, axis('square')
title('|FFT(img)|^{0.1}'), xlabel('f_x'), ylabel('f_y')


%%% (1) BRUITAGE/DEBRUITAGE

%%% bruitage
varg = 0.01;
imgn=imnoise(img,'gaussian',0.,varg);

%%% FFT(image bruite)
imgn_chap=fft2(imgn);
imgn_chapmod=abs(fftshift(imgn_chap));

subplot(3,2,3)
imagesc(imgn), colorbar, axis('square')
title('noisy img'), xlabel('x'), ylabel('y')

subplot(3,2,4)
imagesc(imgn_chapmod.^.1), colorbar, axis('square')
title('|FFT(noisy img)|^{0.1}'), xlabel('f_x'), ylabel('f_y')

%%% filtrage passe-bas (dbruitage)
hchap=zeros(dim);
rr=80; hh=fspecial('disk',rr); hh=hh/max(max(hh));
hchap(dimx/2+1-rr:dimx/2+1+rr,dimy/2+1-rr:dimy/2+1+rr)=hh;
hchap=fftshift(hchap);

imgn_chap_filt=hchap.*imgn_chap;
imgn_chap_filtmod=abs(fftshift(imgn_chap_filt));
imgn_filt=ifft2(imgn_chap_filt);

subplot(3,2,5)
imagesc(real(imgn_filt)), colorbar, axis('square')
title('filt"d img'), xlabel('x'), ylabel('y')

subplot(3,2,6)
imagesc(imgn_chap_filtmod.^.1), colorbar, axis('square')
title('|FFT(filt"d img)|^{0.1}'), xlabel('f_x'), ylabel('f_y')