clear
close all

dim=128; fx=1/(dim*1)*(-dim/2:dim/2-1); fy=fx;
% ou : fx=((0:dim-1)-dim/2)/dim; fy=fx;

a=10;
G=fspecial('gaussian',dim,a);        % Gaussienne
% G=G/max(max(G));                     % normalisation ventuelle
%                                      %  maximum=1

decx= 10.4;                          % dcalage en x
decy=-10.4;                          % dcalage en y

uo=ones(dim,1)*fx;                   % vecteur (ligne!) des u :
                                     % 1/N*(-N/2 .. N/2-1)
vo=uo';                              % vecteur (colonne!) des v

u=fftshift(uo);                      % car le plan de la FFT est "shift"
v=fftshift(vo);                      % d'un demi-tableau en u et en v

decfou=exp(-complex(0,1)*2*pi*(u*decx+v*decy));
                                     % TF(dcalage)

Gdec=real(ifft2(fft2(G).*decfou));   % retour dans le plan direct

figure, colormap('gray')

subplot(1,2,1), imagesc(G), colorbar, axis('square')
title('Gaussienne'), xlabel('x'), ylabel('y')

subplot(1,2,2), imagesc(Gdec), colorbar, axis('square')
title('Gaussienne dcale'), xlabel('x'), ylabel('y')