clear
close all

dim=128; I=zeros(dim,dim); I(:,1:dim/2)=0.6;
fx=((0:dim-1)-dim/2)/dim; fy=fx;

figure, colormap('gray')

subplot(3,3,1), imagesc(I), colorbar, axis('square')
title('image'), xlabel('x'), ylabel('y')

subplot(3,3,2), plot(I(64,:),'.'), axis('square')
title('coupe(image)'), xlim([2,dim-1]), ylim([-.1 .7]), xlabel('x')

Ichap=fft2(I); Ichapmod=abs(fftshift(Ichap));
subplot(3,3,3), imagesc(fx,fy,Ichapmod.^.5), colorbar, axis('square')
title('|TF(image)|^{0.5}'), xlabel('f_x'), ylabel('f_y')

h=fspecial('gaussian',dim,.849);
subplot(3,3,4), imagesc(h), colorbar, axis('square')
title('Gaussienne'),  xlabel('x'), ylabel('y')

hchap=fft2(h); hchapmod=abs(fftshift(hchap));
subplot(3,3,6), imagesc(fx,fy,hchapmod.^.5), colorbar, axis('square')
title('|TF(Gaussienne)|^{0.5}'), xlabel('f_x'), ylabel('f_y')

Ichapfilt=hchap.*Ichap; Ichapfiltmod=abs(fftshift(Ichapfilt));
subplot(3,3,9), imagesc(fx,fy,Ichapfiltmod.^.5), colorbar, axis('square')
title('|TF(image filtre)|^{0.5}'), xlabel('f_x'), ylabel('f_y')

Ifilt=ifft2(Ichapfilt);
subplot(3,3,7), imagesc(real(Ifilt)), axis('square'), colorbar
title('coupe(image filtre)'), xlabel('x'), ylabel('y')
subplot(3,3,8), plot(real(Ifilt(64,:)),'.'), axis('square')
title('coupe(image filtre)'), xlim([2,dim-1]), ylim([-.1 .7]), xlabel('x')